Renewal or upgrade user's package

Renewal or upgrade user's package.

post
Path parameters
packageIdstringRequired

The id of the package.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

Represents a request to upgrade a package. This class extends the CalculateTotalPricePackageRequestDto to include additional properties specific to package upgrades

priceIdstring · min: 1Required

The ID of the package to calculate the total price for.

walletIdstring · nullableOptional

The ID of the app integration payment gateway to use for the calculation.

couponCodestring · nullableOptional

The coupon code to apply for the price calculation, if any.

appIntegrationIdstring · nullableOptional

The id of the app integration associated with the package upgrade. This property is optional and can be null if not applicable.

refundWalletIdstring · nullableOptional

The ID of the wallet to refund if the proration amount exceeds the upgrade price. The refund will be processed to this wallet during the package upgrade.

cancelLinkstring · uri · nullableOptional

The cancel link to redirect the user if the checkout process is canceled. If not provided, we will use the default cancel link configured in the system.

returnLinkstring · uri · nullableOptional

The return link to redirect the user after the checkout process is completed. If not provided, we will use the default return link configured in the system.

Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

post
/api/v1/packages/{packageId}/upgrade/checkout

Last updated